Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

List your own directory bots

GET/v1/bot.listMine
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

botsBotListMineEntry[]required
Show properties
Array of BotListMineEntry
createdAtstring<date-time>required
idinteger<int32>required
min 0
listingFeePaidbooleanrequired
namestringrequired
pushedAtstring<date-time> | nullrequired

Last push. Null when the bot never pushed.

statusstringrequired
Allowed:pendingapprovedrejecteddisabled
steamIdstringrequired
listingFeeKeysinteger<int64>required
listingFeeTradeUrlstringrequired
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X GET 'https://api.steamsets.com/v1/bot.listMine' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "bots": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "id": 0,
      "listingFeePaid": true,
      "name": "string",
      "pushedAt": "2019-08-24T14:15:22Z",
      "status": "pending",
      "steamId": "string"
    }
  ],
  "listingFeeKeys": 0,
  "listingFeeTradeUrl": "string"
}